package ch.zhaw.projekt2.turnierverwaltung.main.tournamentList;

import ch.zhaw.projekt2.turnierverwaltung.FXController;
import ch.zhaw.projekt2.turnierverwaltung.FileIO;
import ch.zhaw.projekt2.turnierverwaltung.main.MainWindow;
import javafx.beans.Observable;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.ChoiceBox;
import javafx.scene.control.Label;
import javafx.scene.control.ListView;
import javafx.scene.layout.GridPane;

import java.io.File;

public class TournamentListController extends FXController {

    @FXML
    private Button createBtn;

    @FXML
    private GridPane grid;

    @FXML
    private ChoiceBox<?> modusChoiceBox;

    @FXML
    private Label newTournamentFormularTitle;

    @FXML
    private Button openBtn;

    @FXML
    private Label tournierListTitle;

    @FXML
    private ListView<File> tournierListView;

    @FXML
    private Label tournierModLabel;

    @FXML
    private Label turnierNameLabel;

    @FXML
    void createTournament(ActionEvent event) {

    }

    @FXML
    void openTournament(ActionEvent event) {

    }

    @Override
    public void loadContent() {
        ObservableList<File> tournamentFiles = FXCollections.observableArrayList();
        for(File tournament : getFileIO().getList()){
            tournamentFiles.add(tournament);
        }
        tournierListView.setItems(tournamentFiles);
    }
}

